.checkout-head {
  @include f-title(style);
  display: grid;
  grid-template-columns: 2.6fr 1fr 1fr 1fr;
  height: 50px;
  border-bottom: 1px solid #e5e5e5;
  div {
    @include align(center, center, row);
    font-size: 11px;
    color: $text-light3;
  }
}

.shopping-list {
  @include sm {
    max-height: 252px;
    overflow: auto;
  }
}
.checkout-section {
  @at-root div {
    position: relative;
  }

  @include sm {
    position: absolute;
    top: 0;
  }

  @include f-title(style);
  @include align(center, none, column);
  position: sticky;
  background-color: rgb(242, 242, 244);
  top: 1px;
  width: 100%;

  h2 {
    color: $text-light2;
    font-size: 20px;
    font-weight: $w-bold;
    padding: 15px;
    margin-bottom: 15px;
    border-bottom: 1px solid $text-light3;
    @include md{
      font-size: 17px;
    }
    @include sm{
      font-size: 20px;
    }
  }

  button {
    @include f-title(normal);
    background-color: $main-pink;
    color: white;
    font-size: 15px;
    font-weight: $w-bold;
    width: 90%;
    height: 50px;
    margin-top: 20px;
    margin-bottom: 15px;
  }
}

.checkout-summary {
  width: 100%;
  .row {
    @include align(center, space-between, row);
    padding: 12px;
    font-weight: $w-bold;
    @include sm {
      padding: 12px 35px;
    }
    
    &:first-of-type div {
      @include align(center, center, column);
    }

    &:first-of-type span:first-of-type {
      color: $text-light2;
      text-decoration: line-through;
    }

    p {
      color: $text-dark2;
      @include md {
        font-size: 13px;
      }
      @include sm {
        font-size: 16px;
      }
    }

    span {
      color: $main-pink;
      @include md {
        font-size: 13px;
        }
        @include sm {
          font-size: 16px;
        }
    }

    &:nth-of-type(3) {
      margin-top: 12px;
      font-size: 20px;
    }
  }
}
